package com.usky.issue.service.enums;

import lombok.Getter;

/**
 * 同步任务状态
 *
 * @author fyc
 * @date 2026-05-21
 */
@Getter
public enum TaskStatusEnum {

    PENDING("PENDING"),
    RUNNING("RUNNING"),
    SUCCESS("SUCCESS"),
    FAILED("FAILED"),
    CANCELLED("CANCELLED");

    private final String code;

    TaskStatusEnum(String code) {
        this.code = code;
    }
}
